#!/usr/bin/bash
rundir=/run/userspacev$1
PTYPath=$(tty)

# Create two fifo
mkfifo ${rundir}/pts
mkfifo ${rundir}/exit

# Send pty path to userspacevt service
echo ${PTYPath} > ${rundir}/pts

# Keep the process running until agettypts.sh writes to the exit fifo:
read < ${rundir}/exit

# Remove the fifo before exiting
rm ${rundir}/pts
rm ${rundir}/exit